<?php
$host = 'localhost'; 
$database = 'C:\Program Files (x86)\Common Files\Aspel\Sistemas Aspel\SAE7.00\Ejemplos\Ejemplos.fdb';
// $database = 'C:\Program Files (x86)\Common Files\Aspel\Sistemas Aspel\SAE7.00\Ejemplos\Ejemplos.fdb';
$username = 'SYSDBA'; 
$password = 'masterkey'; 

try {
    $dbh = new PDO("firebird:dbname=$host:$database;charset=UTF8", $username, $password);
    $dbh->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

    $sql = "SELECT CVE_PAIS, DESCR FROM PAIS01"; // Asegúrate que esta tabla existe
    $stmt = $dbh->query($sql);
    $paises = [];

    while ($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
        $paises[$row['CVE_PAIS']] = $row['DESCR'];
    }

    header('Content-Type: application/json');
    echo json_encode($paises);

} catch (PDOException $e) {
    echo "Error de conexión: " . $e->getMessage();
}
?>
